Subject: Re: What's cooking in git.git (Dec 2013, #02; Fri, 6)

From: Thomas Rast <[email-masked]>
Date: Sat, 07 Dec 2013 23:23:11 +0100

Karsten Blees <[email-masked]> writes:

> Extending 'struct hashmap_entry' with an int-sized member shouldn't waste
> memory on 64-bit systems. This is already documented in api-hashmap.txt,
> but needs '__attribute__((__packed__))' to work. Reduces e.g.

You'd have to guard __attribute__((__packed__)) with some compiler
detection in git-compat-util.h though.

-- 
Thomas Rast
[email-masked]